GWText.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "GWParser.hxx"`
`#include "GWText.hxx"`

## Classes

struct | GWTextInternal::PLC
| Internal : a PLC: used to store change of properties in GWTextInternal::Zone. More...
struct | GWTextInternal::Token
| Internal and low level: structure which stores a token for GWText. More...
struct | GWTextInternal::Frame
| Internal and low level: structure which stores a text position for GWText. More...
struct | GWTextInternal::Zone
| Internal and low level: structure which stores a text zone header for GWText. More...
struct | GWTextInternal::State
| Internal: the state of a GWText. More...

## Namespaces

| GWTextInternal
| Internal: the structures of a GWText.

## Enumerations

enum | GWTextInternal::PLCType { GWTextInternal::P_Font, GWTextInternal::P_Page, GWTextInternal::P_Ruler, GWTextInternal::P_Token, GWTextInternal::P_Unknown }
| the different plc type More...

## Functions

std::ostream & | GWTextInternal::operator<< (std::ostream &o, PLC const &plc)
std::ostream & | GWTextInternal::operator<< (std::ostream &o, Token const &token)